#
# spec file for package python-sphinxcontrib-issuetracker
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-sphinxcontrib-issuetracker
Version:        0.11
Release:        9.3
Url:            http://packages.python.org/sphinxcontrib-issuetracker
Summary:        Sphinx integration with different issuetrackers
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/s/sphinxcontrib-issuetracker/sphinxcontrib-issuetracker-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-requests
BuildRequires:  python-setuptools
Requires:       python-Sphinx >= 1.1
Requires:       python-requests >= 1.1
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A Sphinx extension to reference issues in issue trackers, either explicitly
with an "issue" role or optionally implicitly by issue ids like ``#10`` in
plaintext.

%prep
%setup -q -n sphinxcontrib-issuetracker-%{version}

%build
python setup.py build
#cd doc && make html && rm -r _build/html/.buildinfo # Build HTML documentation

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc CREDITS LICENSE README.rst CHANGES.rst
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Aug 15 2013 speilicke@suse.com
- Drop old tarball (sphinxcontrib-issuetracker-0.10.1.tar.gz)
* Tue Jun 25 2013 dmueller@suse.com
- update to 0.11:
  - Send proper user agent in API requests
  - #4: Respect Github rate limits
  - #5: Fix compatibility with requests 1.0
* Tue Jan 15 2013 p.drouand@gmail.com
- Initial python3 support
* Tue Jan 15 2013 p.drouand@gmail.com
- Update to version 0.10.1:
  * Fix README rendering on PyPI
  * #1: Fix test failure on Python 3
- Update to version 0.10:
  * Extension now hosted at
    https://github.com/lunaryorn/sphinxcontrib-issuetracker
  * Use requests library for HTTP requests
  * Consider launchpad issues closed only if all referenced tasks are completed
  * Support Python 3 (with exception of ``launchpad`` and ``debianbts`` trackers)
* Wed Mar 21 2012 saschpe@gmx.de
- Initial version
